Bug 983764 - Properties view not updated on lock/unlock of a node.
Properties view not updated on lock/unlock of a node.
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ---
: 6.2.0
Assigned To: Tihomir Surdilovic
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 18:36 EDT by Marek Baluch
Modified: 2015-12-08 11:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
After lock image. (174.92 KB, image/png)
2013-07-11 18:36 EDT, Marek Baluch
no flags Details
After unlock image. (175.10 KB, image/png)
2013-07-11 18:36 EDT, Marek Baluch
no flags Details

  None (edit)
Description Marek Baluch 2013-07-11 18:36:17 EDT
Created attachment 772457 [details]
After lock image.

Description of problem:

The palette is not updated when a node is locked or unlocked. E.g. when a node is locked then it's color changes from red->blue but the palette still shows red.

See attached images.
Comment 1 Marek Baluch 2013-07-11 18:36:53 EDT
Created attachment 772458 [details]
After unlock image.
Comment 2 Marek Baluch 2013-07-11 18:37:31 EDT
Affected version DR6 (Beta5).
Comment 3 Marek Baluch 2013-07-12 10:25:09 EDT
Found in DR6 (Beta5).
Comment 5 Jiri Locker 2015-12-08 11:01:51 EST
Fixed in 6.2.0.GA. Properties bar content is always reset to process diagram after locking/unlocking an element. Therefore it doesn't contain inconsistent data.

Note You need to log in before you can comment on or make changes to this bug.